"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const graphql_1 = require("graphql");
const graphql_request_1 = require("graphql-request");
const graphql_2_json_schema_1 = require("graphql-2-json-schema");
class GraphQLAPIToJSONSchema extends core_1.Command {
    async run() {
        const { args } = await this.parse(GraphQLAPIToJSONSchema);
        const options = {
            ignoreInternals: true,
            nullableArrayItems: true,
        };
        // schema is your GraphQL schema.
        const query = (0, graphql_1.getIntrospectionQuery)();
        const introspection = await (0, graphql_request_1.request)(args.apiUrl, query);
        const jsonSchema = (0, graphql_2_json_schema_1.fromIntrospectionQuery)(introspection, options);
        console.log(JSON.stringify(jsonSchema, null, 4));
    }
}
exports.default = GraphQLAPIToJSONSchema;
GraphQLAPIToJSONSchema.description = 'Say hello';
GraphQLAPIToJSONSchema.args = [
    {
        name: 'apiUrl',
        description: 'URL of the the GraphQL API',
        required: true,
    },
];
// Start the CLI
GraphQLAPIToJSONSchema.run().then(core_1.flush, core_1.Errors.handle);
